[Mod Help] Magiclauncher Mod Install

Discussion in 'Empire Help & Support' started by cddm95ace, Jul 27, 2013.

  1. cddm95ace Well-Known Member

    Okay, so with us updated to 1.6 now, I decided I would try to figure out some more mods other than optifine, mainly Rei's Minimap and Inventory Tweaks. I am using Magiclauncher and Mac OS X. I downloaded Forge, Modloader, Rei's, and Inventory Tweaks. I decided to just try to get Rei's working first, so I activated Modloader, put it above Rei's in the listing order (of Magiclauncher's Setup list), and logged into EMC. The minimap was there, but to my suprise, no blocks loaded in. -_- Its a bit hard to play Minecraft when the only thing you can see are chests, animals, and a bazillion signs from my shop. Does anyone know how Modloader/Rei's could be causing this, and any fixes? Oh, and I am using the Faithful 32x32 texture pack, but that shouldn't be causing any issues that I know of.

    EDIT: I just tried again (changing nothing, of course) and now the blocks have returned.
    cutejuliew likes this.
  2. jay2a Well-Known Member

    All of your mods require Forge. You can use Modloader for some of them, but you can't have Modloader and Forge at the same time. If you were able to log in with them, they're creating conflicts.
  3. RainbowChin Senior Staff

    Strictly speakingthough, the only one that needs Forge is InvTweaks :)
  4. jay2a Well-Known Member

    Oops, I was thinking of Forge and Modloader of seperate mods as well, and everything contradicts it's self. There are only two mods. And only one requires Forge.
  5. Kman122000 Well-Known Member

    I have a problem with inventory tweaks as well, every time I try to play the game it loads the start screen then crashes. I have Magic Launcher 1.1.7, Inventory tweaks for 1.6.2, Forge installed, Optifine, and Rei's. Anybody help please?
  6. jkrmnj Contribution Team

    I am having problems too. I put the forge universal in and put optifine and reiminimap under it and I have the same problem. When I try the forge installer Minecraft doesn't run.
    Edit: when I got rid of optifine it started working again. Weird
  7. jay2a Well-Known Member

    Put OptiFine above Forge and see what happens.
  8. Kman122000 Well-Known Member

    I switched from the direct installer to universal and I ran MC and didn't have any blocks loaded. Still need help, installer works fine except for the fact that Inv. Tweaks is crashing MC every time I open.
  9. jkrmnj Contribution Team

    If you have optifine also then remove it or move it around. That fixed it for me.
  10. jaari Diamond Supporter

    Installing forge has changed a bit. You cannot do it the old way anymore, by placing Forge first on Magiclaucher's screen. You need to use the forge-installer to get the forgeclient, then run that forgeclient once using the normal launcher, then you can use the environment on MagicLauncher. After that, link to the forge"random numbers".jar and then just install your mods.
    cddm95ace likes this.
  11. cddm95ace Well-Known Member

    Okay, I will try this, but I doubt I'll be successful on my first try :p

    EDIT: Okay, I got to the step where you use the enviroment on MagicLauncher. It showed up, but when I click login on Magic Launcher it takes me to a window with what seems to be an error message that looks like this:

    *** MagicMinecraftLauncher 1.1.7 ***
    LCP: /Users/curtis/Documents/Minecraft/InventoryTweaks-MC1.6.2-1.55b-b61.jar;/Users/curtis/Documents/Minecraft/[1.6.2]ReiMinimap_v3.4_01.zip;/Users/curtis/Documents/Minecraft/OptiFine_1.6.2_HD_U_B4.zip;/Users/curtis/Library/Application Support/minecraft/versions/1.6.2-Forge9.10.0.789/1.6.2-Forge9.10.0.789.jar;/Users/curtis/Library/Application Support/minecraft/libraries/net/minecraftforge/minecraftforge/9.10.0.789/minecraftforge-9.10.0.789.jar;/Users/curtis/Library/Application Support/minecraft/libraries/net/minecraft/launchwrapper/1.3/launchwrapper-1.3.jar;/Users/curtis/Library/Application Support/minecraft/libraries/org/scala-lang/scala-library/2.10.2/scala-library-2.10.2.jar;/Users/curtis/Library/Application Support/minecraft/libraries/org/scala-lang/scala-compiler/2.10.2/scala-compiler-2.10.2.jar;/Users/curtis/Library/Application Support/minecraft/libraries/org/ow2/asm/asm-all/4.1/asm-all-4.1.jar;/Users/curtis/Library/Application Support/minecraft/libraries/net/sf/jopt-simple/jopt-simple/4.5/jopt-simple-4.5.jar;/Users/curtis/Library/Application Support/minecraft/libraries/lzma/lzma/0.0.1/lzma-0.0.1.jar;/Users/curtis/Library/Application Support/minecraft/libraries/com/paulscode/codecjorbis/20101023/codecjorbis-20101023.jar;/Users/curtis/Library/Application Support/minecraft/libraries/com/paulscode/codecwav/20101023/codecwav-20101023.jar;/Users/curtis/Library/Application Support/minecraft/libraries/com/paulscode/libraryjavasound/20101123/libraryjavasound-20101123.jar;/Users/curtis/Library/Application Support/minecraft/libraries/com/paulscode/librarylwjglopenal/20100824/librarylwjglopenal-20100824.jar;/Users/curtis/Library/Application Support/minecraft/libraries/com/paulscode/soundsystem/20120107/soundsystem-20120107.jar;/Users/curtis/Library/Application Support/minecraft/libraries/org/lwjgl/lwjgl/lwjgl/2.9.0/lwjgl-2.9.0.jar;/Users/curtis/Library/Application Support/minecraft/libraries/org/lwjgl/lwjgl/lwjgl_util/2.9.0/lwjgl_util-2.9.0.jar;/Users/curtis/Library/Application Support/minecraft/libraries/argo/argo/2.25_fixed/argo-2.25_fixed.jar;/Users/curtis/Library/Application Support/minecraft/libraries/org/bouncycastle/bcprov-jdk15on/1.47/bcprov-jdk15on-1.47.jar;/Users/curtis/Library/Application Support/minecraft/libraries/com/google/guava/guava/14.0/guava-14.0.jar;/Users/curtis/Library/Application Support/minecraft/libraries/org/apache/commons/commons-lang3/3.1/commons-lang3-3.1.jar;/Users/curtis/Library/Application Support/minecraft/libraries/commons-io/commons-io/2.4/commons-io-2.4.jar;/Users/curtis/Library/Application Support/minecraft/libraries/net/java/jinput/jinput/2.0.5/jinput-2.0.5.jar;/Users/curtis/Library/Application Support/minecraft/libraries/net/java/jutils/jutils/1.0.0/jutils-1.0.0.jar;/Users/curtis/Library/Application Support/minecraft/libraries/com/google/code/gson/gson/2.2.2/gson-2.2.2.jar;/Users/curtis/Library/Application Support/minecraft/libraries/org/lwjgl/lwjgl/lwjgl-platform/2.9.0/lwjgl-platform-2.9.0-natives-osx.jar;/Users/curtis/Library/Application Support/minecraft/libraries/net/java/jinput/jinput-platform/2.0.5/jinput-platform-2.0.5-natives-osx.jar
    MainClass: net.minecraft.launchwrapper.Launch
    java.lang.ClassNotFoundException: net.minecraft.launchwrapper.Launch
    at java.net.URLClassLoader$1.run(URLClassLoader.java:202)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
    at magic.launcher.Launcher.main(Unknown Source)

    I'm not quite sure what "link to the forge"random numbers".jar" means or how to do that, or what this error means....help? :p
    cutejuliew likes this.
  12. Kman122000 Well-Known Member

    You didn't complete the forge with optifine installation, we're about on the same page. You need both universal forge and installer. Inventory tweaks needs to go in the nod folder according to what I saw on a video. Though inventory tweaks doesn't work... Help?
  13. PandasEatRamen Well-Known Member

    The way I got it to work was to follow the written directions at the bottom of Silken's video and then do as RainbowChin told me in a PM.



    I did as Rainbow said and used forge installer and then dragged and dropped in Optifine. It read all my mods but Rei's so I went with the "Next open magic launcher and click
    Click "Setup"
    Select Environment "1.6.2 Forge"
    Click "Add" select the OptiFine ZIP file that you put in the mods folder
    Click "Advanced"
    In the field "Parameters" add -Dfml.ignorePatchDiscrepanciesequalstrue
    Click "OK"
    Login and play" part of Silken's but at the Parameters, I C&P'd Rainbow's line.
    Slip_Stream and RainbowChin like this.
  14. Slip_Stream Well-Known Member

    cddm95ace likes this.
  15. chickeneer Senior Staff

    To get OptiFine to install. Go into Setup -> than the Advanced Tab. Where it says Parameters. Paste this

    -Xmx1G -Dfml.ignorePatchDiscrepancies=true

    Than everything should work right ;)
  16. ISMOOCH Diamond Supporter

    IF for some reason you still have issues, apparently InvTweaks has some problem with Magic Launcher, just add it to the 'Mods' folder in '.minecraft' if the problem persists.
    Kman122000 likes this.
  17. cddm95ace Well-Known Member

    Okay, so I got forge set up in its own environment called "1.6.2-Forge9.10.0.789.jar", put InvTweaks in the Minecraft folder manually so it showed up as an external mod, put Optifine after Rei's in the regular mods. I put that code into the parameters box. So this is what my setup window looks like:
    Screen shot 2013-07-29 at Jul 29, 2013  7.28.00 PM.png
    But, I'm still getting the same error message I was getting before :/
    cutejuliew likes this.
  18. chickeneer Senior Staff

    try disabling inventory tweaks. *Uncheck the box by it.

    In fact - start with all of the check marks off. And start clicking them one by one to see which one is causing problems.
  19. cddm95ace Well-Known Member

    Okay, so I disabled all of them (Optifine, Rei's, InvTweaks) and it still didn't work, which would indicate to me that the problem is with Forge. When I use ModLoader instead of Forge, Rei's and Optifine works fine but I can't use InvTweaks.
    cutejuliew likes this.
  20. ISMOOCH Diamond Supporter

    How are you installing forge?

Share This Page

Facebook: